Subject: Re: Toolbar and MDI app
From: [email-masked] (Bartlee A. Anderson)

2 Feb 1998 14:50:04 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I looked at your program and at toolbar (from lcc)
I don't see what you're doing wrong exactly, but I was able to get
toolbar (Jacob included it, it was from some M$ journal).
You should have a look at that. I took a copy and gutted it looking to
find what you were doing wrong, but couldn't find it yet.
The problem may be in the MDI portion. The example from lcc is c and
not c++ but you may be able to see the similarities if you take a quick
look. Again, the program with very few changes to make it work with
egcs commpiles and works (extra's are configurable toolbar using
reg settings!)

P.S. If you want my stripped down version, just ask..

        Bart

Miron the Master wrote:
>
> >>
> >> Hi again,
> >> I'm working on a small text editor which uses MDI.
> >> Can anyone tell me how to create a working toolbar for it.
> >> I've tried using CreateToolbarEx but it just draws the toolbar and
> >> doesn't do anything else.
> >
> >CreateToolbarEx doesn't write the callback functions for you. You've
> >to tell the system what to do when a toolbar button is pressed. Read the
> >docs because this is not very simple
> >
> >
> >--
> >Jacob Navia Logiciels/Informatique
> >41 rue Maurice Ravel Tel 01 48.23.51.44
> >93430 Villetaneuse Fax 01 48.23.95.39
> >France
>
> I see you don't understand what my problem is, so here's the source.
>
> Daniel Mironowicz             [email-masked]
>
>     ---------------------------------------------------------------
>
>                    Name: tbmdi.cc
>     Part 1.2       Type: unspecified type (application/octet-stream)
>                Encoding: quoted-printable
>
>                    Name: tbmdi.h
>     Part 1.3       Type: unspecified type (application/octet-stream)
>                Encoding: 7bit
>
>                    Name: tbmdi.rc
>     Part 1.4       Type: unspecified type (application/octet-stream)
>                Encoding: 7bit
>
>                             Name: tbmdi.exe
>               Part 1.5      Type: application/x-msdownload
>                         Encoding: base64
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".